1. Foren
  2. Kommentare
  3. Software-Entwicklung-Forum
  4. Alle Kommentare zum Artikel
  5. › Eclipse Europa…

Welches "Package"?

Neue Foren im Freiraum! Raumfahrt und freie Software haben jetzt einen Platz, die Games tummeln sich jetzt alle in einem Forum.
  1. Thema

Neues Thema Ansicht wechseln


  1. Welches "Package"?

    Autor: Willi Wurst 29.06.07 - 19:49

    Na toll, es gibt 5 verschiedene "Eclipse Packages" auf http://www.eclipse.org/downloads/
    Muss ich mich jetzt entscheiden ob ich Java oder C Programmierer bin?
    Wenn ich eclipse benutze, um C zu programmieren, darf ich dann keine eclipse Plugins entwickeln? Warum muss ich in genau einer Schublade stecken???
    Ich verwende Eclipse für alle die genannten Zwecke. Muss ich jetzt 5 verschiedene Eclipse-Versionen runterladen? Warum gibt es keine "Complete" Edition?

  2. Re: Welches "Package"?

    Autor: Spontanschreiber 29.06.07 - 20:14

    Entscheide Dich, was Du überwiegend programmierst und ergänze die Plugins, die Dir fehlen. Eine (aus meiner Sicht) empfehlenswerte Alternative: die Yoxos-Pakete, die ich allerdings nur auf Basis von 3.2 kenne. Löst Abhängigkeiten sauber auf und liefert Dir Dein individuell konfiguriertes Eclipse.

    Warum es keine "Complete Edition" gibt? Versuch mal, sie zu konfigurieren. Yoxos z.B. fragt Dich ab etwa 500MB, ob das wirklich Dein Ernst ist. Sieh Dir die Plugin-Liste mal an und frage Dich, ob Du das wirklich brauchst...





    Willi Wurst schrieb:
    -------------------------------------------------------
    > Na toll, es gibt 5 verschiedene "Eclipse Packages"
    > auf www.eclipse.org
    > Muss ich mich jetzt entscheiden ob ich Java oder C
    > Programmierer bin?
    > Wenn ich eclipse benutze, um C zu programmieren,
    > darf ich dann keine eclipse Plugins entwickeln?
    > Warum muss ich in genau einer Schublade
    > stecken???
    > Ich verwende Eclipse für alle die genannten
    > Zwecke. Muss ich jetzt 5 verschiedene
    > Eclipse-Versionen runterladen? Warum gibt es keine
    > "Complete" Edition?
    >


  3. Re: Welches "Package"?

    Autor: theGimp 29.06.07 - 21:43

    Das stimmt natürlich so nicht.. Wenn du nur java programmieren willst und nicht das 140mb package runterladen willst, dann nimmst die Eclipse IDE for Java Developers (~78 MB)..
    Logischerweise kannst du ja die plugins für alle unterstzützten tools nachinstallieren.. Yoxos war ja von callisto abgelöst und europa löst die unabhängigkeiten auch..

    happy coding

    Spontanschreiber schrieb:
    -------------------------------------------------------
    > Entscheide Dich, was Du überwiegend programmierst
    > und ergänze die Plugins, die Dir fehlen. Eine (aus
    > meiner Sicht) empfehlenswerte Alternative: die
    > Yoxos-Pakete, die ich allerdings nur auf Basis von
    > 3.2 kenne. Löst Abhängigkeiten sauber auf und
    > liefert Dir Dein individuell konfiguriertes
    > Eclipse.
    >
    > Warum es keine "Complete Edition" gibt? Versuch
    > mal, sie zu konfigurieren. Yoxos z.B. fragt Dich
    > ab etwa 500MB, ob das wirklich Dein Ernst ist.
    > Sieh Dir die Plugin-Liste mal an und frage Dich,
    > ob Du das wirklich brauchst...
    >
    > Willi Wurst schrieb:
    > --------------------------------------------------
    > -----
    > > Na toll, es gibt 5 verschiedene "Eclipse
    > Packages"
    > auf www.eclipse.org
    > Muss ich
    > mich jetzt entscheiden ob ich Java oder C
    >
    > Programmierer bin?
    > Wenn ich eclipse benutze,
    > um C zu programmieren,
    > darf ich dann keine
    > eclipse Plugins entwickeln?
    > Warum muss ich in
    > genau einer Schublade
    > stecken???
    > Ich
    > verwende Eclipse für alle die genannten
    >
    > Zwecke. Muss ich jetzt 5 verschiedene
    >
    > Eclipse-Versionen runterladen? Warum gibt es
    > keine
    > "Complete" Edition?
    >
    >


  4. Re: Welches "Package"?

    Autor: _Joe_ 30.06.07 - 00:14

    Europa ist doch so schon knapp über 300MB...
    Da wird man wohl das Limit höher schrauben müssen...

    Spontanschreiber schrieb:
    -------------------------------------------------------
    > Entscheide Dich, was Du überwiegend programmierst
    > und ergänze die Plugins, die Dir fehlen. Eine (aus
    > meiner Sicht) empfehlenswerte Alternative: die
    > Yoxos-Pakete, die ich allerdings nur auf Basis von
    > 3.2 kenne. Löst Abhängigkeiten sauber auf und
    > liefert Dir Dein individuell konfiguriertes
    > Eclipse.
    >
    > Warum es keine "Complete Edition" gibt? Versuch
    > mal, sie zu konfigurieren. Yoxos z.B. fragt Dich
    > ab etwa 500MB, ob das wirklich Dein Ernst ist.
    > Sieh Dir die Plugin-Liste mal an und frage Dich,
    > ob Du das wirklich brauchst...
    >
    > Willi Wurst schrieb:
    > --------------------------------------------------
    > -----
    > > Na toll, es gibt 5 verschiedene "Eclipse
    > Packages"
    > auf www.eclipse.org
    > Muss ich
    > mich jetzt entscheiden ob ich Java oder C
    >
    > Programmierer bin?
    > Wenn ich eclipse benutze,
    > um C zu programmieren,
    > darf ich dann keine
    > eclipse Plugins entwickeln?
    > Warum muss ich in
    > genau einer Schublade
    > stecken???
    > Ich
    > verwende Eclipse für alle die genannten
    >
    > Zwecke. Muss ich jetzt 5 verschiedene
    >
    > Eclipse-Versionen runterladen? Warum gibt es
    > keine
    > "Complete" Edition?
    >
    >


  5. Re: Welches "Package"?

    Autor: Togaras 30.06.07 - 09:15

    Kann ich das neue auch als patch durch den Upgrader holen? Ich hab Eclipse 3.2 und weiss beim besten Willen nimmer, welche Plugins ich alle hab und wie die konfiguriert sind.

  6. Re: Welches "Package"?

    Autor: McPringle 01.07.07 - 12:50

    Willi Wurst schrieb:
    -------------------------------------------------------

    > Ich verwende Eclipse für alle die genannten
    > Zwecke. Muss ich jetzt 5 verschiedene
    > Eclipse-Versionen runterladen? Warum gibt es keine
    > "Complete" Edition?

    Wie wäre es mit Lesen? Auf den Download-Seiten wird auch wie bisher das "Eclipse Platform Runtime Binary" zum Download angeboten. Das hat als Version für Windows beispielsweise eine Größe von 40 MB.

    Anschließend lädst Du über den Update-Mechanis die Komponenten hinzu, die Du benötigst. So hast Du nur das auf Deinem Rechner, was Du benötigst.

    Dann machst Du von Deinem bisherigen Workspace (ich hatte vorher Eclipse 3.2 genutzt) zur Sicherheit ein Backup und läßt dann Eclipse 3.3 darauf los. Das hat bei mir heute Vormittag einwandfrei funktioniert.

    McPringle

  1. Thema

Neues Thema Ansicht wechseln


Um zu kommentieren, loggen Sie sich bitte ein oder registrieren Sie sich. Sie müssen ausserdem in Ihrem Account-Profil unter Forum einen Nutzernamen vergeben haben. Zum Login

Stellenmarkt
  1. Fachplaner Access & Voice (m/w/d)
    htp GmbH, Hannover
  2. Senior Cyber Security Engineer (m/w/d)
    DLR Gesellschaft für Raumfahrtanwendungen (GfR) mbH, Weßling
  3. Senior Backend-Entwickler (w/m/d)
    articy Software GmbH & Co. KG, deutschlandweit (Home-Office)
  4. IT Business Partner (m/w/d)
    Energiedienst Holding AG, Rheinfelden (Baden)

Detailsuche


Golem pur
  • Golem.de ohne Werbung nutzen

Anzeige
Top-Angebote
  1. (u. a. Google Pixel 6 128GB für 649€, Google Pixel 6 Pro 128GB für 899€)
  2. "Prime-Mitglieder haben vorrangigen Zugriff"
  3. "Prime-Mitglieder haben vorrangigen Zugriff"
  4. 369,99€


Haben wir etwas übersehen?

E-Mail an news@golem.de